Skip to content
POST/{organizationId}/finance/receipts/templates/{templateId}

Update receipt template

Updates a specific receipt template for a given organization

Required permissions:

  • receiptTemplate.edit

Path Parameters

organizationIdstringrequired
templateIdstringrequired

Request Body required

Content-Type: application/json

namestringrequired

minLength: 1

maxLength: 64

descriptionstringrequired

maxLength: 240

subjectstringrequired

minLength: 1

maxLength: 998

messagestringrequired

minLength: 1

maxLength: 10000

refundMessagestring | nullrequired

minLength: 1

maxLength: 10000

refundSubjectstring | nullrequired

minLength: 1

maxLength: 998

cancelMessagestring | nullrequired

minLength: 1

maxLength: 10000

cancelSubjectstring | nullrequired

minLength: 1

maxLength: 998

standardbooleanoptional

Default: false

Authentication: X-API-Key

Request

POST/{organizationId}/finance/receipts/templates/{templateId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/finance/receipts/templates/{templateId}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "description": "string",
  "subject": "string",
  "message": "string",
  "refundMessage": "string",
  "refundSubject": "string",
  "cancelMessage": "string",
  "cancelSubject": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}